<style>
.document-list ul.meta,
.document-list ul.post-meta-info {
    margin-left: 0;
    padding-left: 0;
    list-style: none;
    margin-bottom: 0;
}
.document-list ul.meta li,
.document-list ul.post-meta-info li {
    margin-right: 10px;
    margin-bottom: 5px;
}
.document-list ul.meta {
    display: block;
}
.document-list .post_tag ul.meta li,
.document-list ul.post-meta-info li {
    display: inline-block;
}
.document-list .blog_grid_post .grid_post_content .post_author {
    padding-top: 0;
}
.b_title a {
    color: #1d2746;
    font-size: 18px;
    line-height: 26px;
}
</style>
<template>
<div class="blog_grid_post fadeInUp">
    <a :href="document.view_url">
        <img :src="document.cover_thumbnail" alt="" class="img-fluid w-100" />
    </a>
    <div class="grid_post_content">
        <h4 class="b_title">
            <a :href="document.view_url">{{ document.title }}</a>
        </h4>

        <!-- <p>{{ document.description }}</p> -->
        <div class="post_tag">
            <ul class="meta">
                <li class="category" :style="{ backgroundColor: document.category.color }">{{ document.category.name }}</li>
            </ul>
        </div>
        <div class="media post_author mb-2">
            <!--div class="round_img">
                <img src="img/blog-grid/author_1.jpg" alt="">
            </div-->
            <div class="media-body author_text">
                <ul class="meta">
                    <li><span :class="['flag', document.language.abbreviation]"></span> {{ document.language.name }}</li>
                    <li><i class="icon_calendar"></i> {{ $t("labels.updated") }} {{ document.created_at | formatDate }}</li>
                </ul>
            </div>
        </div>
        <ul class="post-meta-info">
            <li class="circle-gray"><a :href="document.view_url"><i class="far fa-eye"></i></a></li>
            <li class="circle-gray"><a :href="document.download_url"><i class="fas fa-cloud-download-alt"></i></a></li>
        </ul>
    </div>
</div>
</template>
<script type="module">
import DocumentItem from './DocumentItem.vue';
export default{
	name: 'DocumentCardItem',
	extends: DocumentItem,
};
</script>
